=== debian/changelog ===
iodine (0.0.0-0~rzr1) saucy; urgency=medium

  * TODO: remove on release 
    http://rzr.online.fr/q/snapshot

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 21:55:14 +0200

iodine (0.6.0~rc1-6) unstable; urgency=low

  * New patch: cmdline-r-u.patch. Due to a missing "break", -r causes -u to
    have no effect (client). Thanks to Pavel Pergamenshchik for the bug report
    and the patch.
    LP: #880508
  * debian/{rules,control}: replace hardening-includes with the new
    dpkg-dev/debhelper approach. Update cflags.patch to honour CPPFLAGS.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Oct 2011 23:07:10 +0200

iodine (0.6.0~rc1-5) unstable; urgency=low

  * Don't source /etc/default/iodine in config script but read out the values
    with awk. This allows to use shell constructs like $() in the file and
    preserve them during re-configuration (closes: #612723).
    Thanks to "Debian bug at v.nix.is" for the bug report.
  * Add a logcheck filter; thanks to martin f krafft for the bug report and
    the logcheck file (closes: #612721).
  * Add patch armel_ftbfs.patch: Rename struct user to struct _user in the
    code to avoid naming conflict caused by including <sys/user.h> as part of
    the armel build. Taken from Ubuntu; not needed currently in Debian but
    saves Ubuntu from carrying the patch and might be helpful later.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Feb 2011 14:49:06 +0100

iodine (0.6.0~rc1-4) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:38:57 +0100

iodine (0.6.0~rc1-3) experimental; urgency=low

  [ gregor herrmann ]
  * Build with hardening; thanks to Romain Francoise for the bug report and
    the patch (closes: #589054).
  * New patch uninitialized-inside_topdomain.patch: initialize
    inside_topdomain before using it; thanks to Samuel Thibault for the bug
    report and the patch (closes: #596740).
  * Set Standards-Version to 3.9.1 (no changes).
  * Add Danish debconf translation, thanks to Joe Dalton (closes: #602447).
  * Update iodine-client-start to version 1.0.3, commit 04c2dee
    (closes: #605703).
  * debian/copyright: update years of packaging copyright, update formatting.
  * Update to experimental because of the freeze.

  [ tony mancill ]
  * Update reference to README file in README.Debian (closes: #597736)

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 03:01:13 +0100

iodine (0.6.0~rc1-2) unstable; urgency=low

  [ tony mancill ]
  * Update init.d script to support spaces in password (closes: #597258)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Sep 2010 22:25:48 +0200

iodine (0.6.0~rc1-1) unstable; urgency=low

  * debian/watch: relax regexp to also catch release candidates.

  * New upstream release:
    - return nonzero if tunnel fails to open (closes: #534186)
    - added support for CNAME/TXT/A/MX query types (closes: #587894)
    - includes the changes we had backported in openlog.patch, so remove the
      patch now
  * This version introduces a new and incompatible protocol version
    (00000502); adjust debia/README.Debian and add debian/NEWS.
  * Add new patch manpage.patch (*roff problems). Refresh remaining patches.
    Improve patch headers (DEP3).
  * Set Standards-Version to 3.9.0 (no changes).
  * debian/copyright: point to /usr/share/common-licenses/GPL-1 now that the
    GNU GPLv1 is included in base-files.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jul 2010 18:04:23 +0200

iodine (0.5.2-7) unstable; urgency=low

  * Add Spanish debconf translation, thanks to Francisco Javier Cuadrado
    (closes: #582872).

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 18:42:06 +0200

iodine (0.5.2-6) unstable; urgency=low

  * Add $syslog facility to init script.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Update iodine-client-start (02eb805).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 May 2010 22:34:12 +0200

iodine (0.5.2-5) unstable; urgency=low

  * Update iodine-client-start (01b8c6f).
  * New patch openlog.patch: move openlog() call before chrooting; thanks to
    Romain Francoise for the patch (closes: #573194).
  * README.Debian: mention /usr/sbin/iodine-client-start now that it's not in
    examples/ anymore.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Mar 2010 18:47:52 +0100

iodine (0.5.2-4) unstable; urgency=low

  * Include updated iodine-client-start script and install it into /usr/sbin.
    Adjust some files and create manpage with help2man.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Feb 2010 22:03:12 +0100

iodine (0.5.2-3) unstable; urgency=low

  * Add Japanese debconf translation, thanks to Hideki Yamane
    (closes: #558051).
  * The example script iodine-jigger is now called iodine-client-start; update
    the name in the relevant locations and integrate a newer version.
  * debian/copyright: update formatting.
  * Set Standards-Version to 3.8.4 (no changes).
  * New patch spelling.patch: fix a minor spelling mistake in the manpage.
  * Adjust handling of /etc/default/iodine in init script.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Feb 2010 21:30:54 +0100

iodine (0.5.2-2) unstable; urgency=low

  * Add Russian debconf translation, thanks to Yuri Kozlov (closes: #546345).
  * Set Standards-Version to 3.8.3 (no changes).
  * Update debian/rules, bump build dependencies in debian/control
    accordingly.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 01:05:31 +0200

iodine (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jun 2009 18:03:31 +0200

iodine (0.5.1-2) unstable; urgency=low

  * (Re-)add a warning to README.Debian that both client and server needs to
    run the same protocol version (cf. #521260).
  * Create /var/run/iodine in init script if it doesn't exist; thanks to

