=== debian/control ===
Source: iodine
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: check,
 dpkg-dev (>= 1.16.1),
 debhelper (>= 8.9.4),
 help2man,
 po-debconf,
 zlib1g-dev,
 pkg-config,
 git
Standards-Version: 3.9.2
Homepage: http://code.kryo.se/iodine
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/iodine/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/iodine/trunk/

Package: iodine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser,
 udev | makedev
Suggests: dnsutils,
 fping,
 gawk,
 ipcalc,
 iproute
Description: tool for tunneling IPv4 data through a DNS server
 This is a piece of software that lets you tunnel IPv4 data through a DNS
 server. This can be usable in different situations where internet access is
 firewalled, but DNS queries are allowed.
 .
 iodine is similar to nstx but has password authentication, brings up the
 tun interface automatically and lets the user specify the IP address as a
 command line option.
