=== tests/Makefile ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 
 clean:
-	@echo "Cleaning..."
+	@echo "Cleaning tests/"
 	@rm -f *~ *.core $(TEST) $(OBJS)
