## iodine 0.5.2

=== src/Makefile ===
--- 
+++ 
@@ -2,14 +2,15 @@
 COMMONOBJS = tun.o dns.o read.o encoding.o login.o base32.o base64.o md5.o common.o
 CLIENTOBJS = iodine.o
 CLIENT = ../bin/iodine
-SERVEROBJS = iodined.o user.o
+SERVEROBJS = iodined.o user.o fw_query.o
 SERVER = ../bin/iodined
 
-OS = `uname | tr "a-z" "A-Z"`
+OS = `echo $(TARGETOS) | tr "a-z" "A-Z"`
 ARCH = `uname -m`
 
-LDFLAGS =  -lz `sh osflags link`
-CFLAGS = -c -g -Wall -D$(OS) -pedantic
+LIBPATH = -L.
+LDFLAGS =  -lz `sh osflags $(TARGETOS) link` $(LIBPATH)
+CFLAGS = -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags`
 
 all: stateos $(CLIENT) $(SERVER)
 
@@ -32,5 +33,5 @@
 
 clean:
 	@echo "Cleaning src/"
-	@rm -f $(CLIENT) $(SERVER) *~ *.o *.core
+	@rm -f $(CLIENT){,.exe} $(SERVER){,.exe} *~ *.o *.core
