=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.kryo.se/iodine/iodine-([\d\.]+)\.tar\.gz
