=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: gregor herrmann <gregoa@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7.0.50), po-debconf, help2man,
- zlib1g-dev, check
-Standards-Version: 3.8.4
+ zlib1g-dev, check, hardening-includes
+Standards-Version: 3.9.1
 Homepage: http://code.kryo.se/iodine
 Vcs-Svn: http://svn.toastfreeware.priv.at/debian/iodine/trunk/
 Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/iodine/trunk/
