## iodine 0.6.0-rc1-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=/usr/local
+prefix=/usr
 sbindir=$(prefix)/sbin
 datadir=$(prefix)/share
 mandir=$(datadir)/man
