=== debian/changelog ===
iodine (0.6.0-rc1-maemo1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 05 Sep 2010 15:16:41 +0300
