=== debian/changelog ===
iodine (0.7.0-9) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Refresh existing patches.
    - 0001-osflags-use-pkg-config-for-systemd-support.patch: add 7b1df75 from
      upstream Git as a preparation for the new cross.patch
    - kfreebsd-hurd.patch: offset as a result of the former
  * Add new patch cross.patch to fix cross compilation.
    Allows one to pass PKG_CONFIG to the build system, which happens in
    debian/rules, in order to bypass the build architecture pkg-config.
    Thanks to Helmut Grohne for the bug report and the initial patch which was
    slightly modified to apply against upstream's Git HEAD. (Closes: #921822)
  * Update years of packaging copyright.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Feb 2019 21:09:13 +0100

iodine (0.7.0-8) unstable; urgency=medium

  * New version of iodine-client-start (1.0.6 + one commit) pulled from
    upstream git repository (bd3b5e5).
    Adds -oneline to ip(1) calls as a workaround for its changed output, and
    drops ifconfig usage.
    Thanks to Axel Beckert for the bug report and Barak A. Pearlmutter for the
    quick fix. (Closes: #898672)
  * Update Vcs-* fields and debian/control and remove respective lintian
    overrides (vcs-field-uses-insecure-uri).
  * Declare compliance with Debian Policy 4.1.2.
    (And nothing newer, as we still use a variable in /etc/default/iodine
    which conflicts with policy 9.3.3.1 since 4.1.3.)
  * Update years of packaging copyright.
  * Use HTTPS for a couple of URLs in debian/*.
  * Change priority from extra to optional in debian/control.
  * Drop versioned build dependency on dpkg-dev.
    Even oldoldstable has a new enough version.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 May 2018 23:32:00 +0200

iodine (0.7.0-7) unstable; urgency=medium

  * Add dependency on net-tools.
    Thanks to gustavo panizzo for the bug report. (Closes: #851477)
  * Bump debhelper compatibility level to 10.
  * Drop build dependency on "debhelper (>= 9.20160709~) | dh-systemd"
    which is already covered by "debhelper (>= 10)".
  * Drop explicit call to systemd sequence in debian/rules which is now
    the default in debhelper compatibility level 10.
  * Add dependency on lsb-base because the init script uses the lsb
    utility functions. Thanks to lintian.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2017 14:51:40 +0100

iodine (0.7.0-6) unstable; urgency=medium

  * debian/iodined.service: remove test for START_IODINED variable.
    This causes upgrade failures when it's not set to 'true'.
    Thanks to martin f krafft for the bug report, and both him and Chris
    Knadle for their help in handling this bug. (Closes: #832599)
  * Install the systemd service file in debian/iodine.install.
    Otherwise it's not available in time for dh_systemd_enable.
  * Mask systemd service in postinst if START_IODINED is not set to true.
    This is the replacement for the check in the service file itself.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Aug 2016 15:37:23 +0200

iodine (0.7.0-5) unstable; urgency=medium

  * Add systemd service files. Thanks to Lizhou Sha for providing them,
    together with tons of explanations. (Closes: #830074)
  * Update debiann/control and debian/rules for installing the new systemd
    files.
  * Declare compliance with Debian Policy 3.9.8.
  * Add lintian override for vcs-field-uses-insecure-uri.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2016 22:06:35 +0200

iodine (0.7.0-4) unstable; urgency=medium

  * Add Brazilian Portuguese debconf translation.
    Thanks to Adriano Rafael Gomes.
    (Closes: #811516)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Jan 2016 17:57:55 +0100

iodine (0.7.0-3) unstable; urgency=medium

  * Update kfreebsd.patch and rename to kfreebsd-hurd.patch.
    Handle hurd-i386 as well.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Oct 2014 17:22:44 +0200

iodine (0.7.0-2) unstable; urgency=medium

  * Add patch to fix compilation failure on kfreebsd-*.
    (Closes: #764117)

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 18:43:33 +0200

iodine (0.7.0-1) unstable; urgency=medium

  * New upstream release.
    Contains fixes for the following bugs:
    - "upstream iodine activity". (Closes: #743385)
    - "should not allow UDP socket to be inherited by ifconfig".
      (Closes: #609751)
    - "Should support ipv6": Client can connect to iodined through an relaying
      IPv6 nameserver. Server only supports IPv4 for now. Traffic inside
      tunnel is IPv4. (Closes: #680953)
  * Add network-manager-iodine and network-manager-iodine-gnome to
    Suggests.
    Thanks to Guido Günther for the proposal. (Closes: #760562)
  * debian/copyright:
    - update years of upstream and packaging copyright
    - add another third party copyright statement
  * Patches:
    - drop most patches, as they are merged or fixed upstream, or where taken
      from there
    - refresh the remaining two: cflags.patch, verbose-build.patch
  * Preliminary systemd support:
    - build-depend on libsystemd-dev package on linux-any
    - add patch 0001-osflags-use-pkg-config-for-systemd-support.patch from
      upstream git to use pkg-config for finding the systemd libs; change
      libsystemd-daemon to libsystemd
  * Split .docs into .docs and .examples.
    The latter contain the upstream examples for SELinux (not activated during
    build) and systemd.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 15:39:08 +0200

iodine (0.6.0~rc1-20) unstable; urgency=medium

  * Fix regression of /etc/default/iodine handling.
    Affects especially $(...) constructs.
    - debian/config:
      use awk again for getting existing values instead of sourcing the file.
      Cf. #612723
    - debian/postinst:

