=== debian/control ===
Source: iodine
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: optional
Build-Depends: check (>= 0.9.10-3),
               debhelper (>= 10),
               help2man,
               libsystemd-dev [linux-any],
               pkg-config,
               po-debconf,
               zlib1g-dev
Standards-Version: 4.1.2
Vcs-Browser: https://git.toastfreeware.priv.at/debian/iodine.git/
Vcs-Git: https://git.toastfreeware.priv.at/debian/iodine.git
Homepage: https://code.kryo.se/iodine

Package: iodine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         lsb-base,
         net-tools,
         udev [linux-any] | makedev [linux-any]
Suggests: dnsutils,
          fping | oping,
          gawk,
          ipcalc,
          iproute2,
          network-manager-iodine,
          network-manager-iodine-gnome
Description: tool for tunneling IPv4 data through a DNS server
 This is a piece of software that lets you tunnel IPv4 data through a DNS
 server. This can be usable in different situations where internet access is
 firewalled, but DNS queries are allowed.
 .
 iodine is similar to nstx but has password authentication, brings up the
 tun interface automatically and lets the user specify the IP address as a
 command line option.
