=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
# needs dpkg-dev 1.19.0
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_clean:
	debconf-updatepo
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	[ -x $(CURDIR)/debian/iodine-client-start ] || chmod +x $(CURDIR)/debian/iodine-client-start
	help2man --output=$(CURDIR)/debian/iodine-client-start.8 \
		--no-info --section=8 --name="start an iodine IPv4-over-DNS tunnel" \
		$(CURDIR)/debian/iodine-client-start

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(TMP) prefix=/usr

override_dh_installinit:
	dh_installinit --name=iodined

override_dh_installlogcheck:
	dh_installlogcheck
	mv $(TMP)/etc/logcheck/ignore.d.server/iodine $(TMP)/etc/logcheck/ignore.d.server/iodined
