=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ \
	https://code.kryo.se/iodine/iodine-([\d\w\.-]+)\.tar\.gz
